C
C A driver FORTRAN code to call the C++ code
C
      PROGRAM EXAMPLE

      DOUBLE PRECISION A(100,100) 
      CHARACTER*100 fileName, str(100)
      INTEGER       numRows, numColumn

      fileName = 'PIPPO.TXT' // CHAR(0)

      CALL parser_load_file( fileName )

      CALL parser_get_dimension( numRows, numColumn )
      TYPE *, 'numRows=', numRows, ' numColumn=', numColumn
  
      CALL parser_get_data( A, 100, str, 100 )

      TYPE *,(TRIM(str(i)),' ',i=1,numColumn)

      DO i=1,numRows
        TYPE *,(A(i,j),j=1,numColumn)
      END DO
  
      END